package systemd

import (
	"context"
	"flag"

	"github.com/google/subcommands"
)

type SystemdCommand struct {
}

func (*SystemdCommand) Name() string     { return "systemd" }
func (*SystemdCommand) Synopsis() string { return "Generate a systemd unit file for mailhole." }
func (*SystemdCommand) Usage() string {
	return `systemd:
    Generate a systemd unit file for mailhole.`
}
func (p *SystemdCommand) SetFlags(f *flag.FlagSet) {}

func (p *SystemdCommand) Execute(_ context.Context, f *flag.FlagSet, _ ...interface{}) subcommands.ExitStatus {
	return subcommands.ExitSuccess
}
