package firstrun

import (
	"context"
	"flag"
	"fmt"

	"github.com/google/subcommands"
	"git.tcp.direct/hgc/mailhole/config"
)

type FirstrunCommand struct {
}

func (*FirstrunCommand) Name() string     { return "firstrun" }
func (*FirstrunCommand) Synopsis() string { return "Print an example config to stdout." }
func (*FirstrunCommand) Usage() string {
    return `firstrun:
    Print an example config to stdout.`
}
func (p *FirstrunCommand) SetFlags(f *flag.FlagSet) { }

func (p *FirstrunCommand) Execute(_ context.Context, f *flag.FlagSet, _ ...interface{}) subcommands.ExitStatus {
	fmt.Println(string(config.ExampleConfig()))
	return subcommands.ExitSuccess
}
